Package de.willuhn.jameica.hbci.passports.pintan

# Class PtSecMechInput

java.lang.Object
de.willuhn.jameica.gui.input.AbstractInput
de.willuhn.jameica.gui.input.ButtonInput
de.willuhn.jameica.hbci.passports.pintan.PtSecMechInput

All Implemented Interfaces:
  `de.willuhn.jameica.gui.input.Input`, `de.willuhn.jameica.gui.Part`

public class PtSecMechInput extends de.willuhn.jameica.gui.input.ButtonInput
Vorkonfiguriertes Eingabefeld zum Anzeigen/Zurücksetzen des TAN-Verfahrens.

## Field Summary

### Fields inherited from class de.willuhn.jameica.gui.input.ButtonInput

`buttonEnabled, clientControl, clientControlEnabled, value`

### Fields inherited from interface de.willuhn.jameica.gui.input.Input

`DATAKEY_TOOLTIP`

## Constructor Summary

Constructors
Constructor
Description
`PtSecMechInput(PinTanConfig conf)`
ct.

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.swt.widgets.Control`
`getClientControl(org.eclipse.swt.widgets.Composite parent)`
`Object`
`getValue()`
`void`
`setValue(Object value)`

### Methods inherited from class de.willuhn.jameica.gui.input.ButtonInput

`addButtonListener, disable, disableButton, disableClientControl, enable, enableButton, enableClientControl, focus, getControl, isEnabled, setButtonImage, setButtonText, setEnabled, update`

### Methods inherited from class de.willuhn.jameica.gui.input.AbstractInput

`addListener, addListener, getData, getName, getParent, getStyleBits, hasChanged, isMandatory, paint, paint, setComment, setData, setInvalidChars, setMandatory, setName, setValidChars`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PtSecMechInput

public PtSecMechInput(PinTanConfig conf)
ct.

Parameters:
  `conf` - die PIN/TAN-Config.

## Method Details

### getValue

public Object getValue()

See Also:
  - `Input.getValue()`

### setValue

public void setValue(Object value)

See Also:
  - `Input.setValue(java.lang.Object)`

### getClientControl

public org.eclipse.swt.widgets.Control getClientControl(org.eclipse.swt.widgets.Composite parent)

Specified by:
  `getClientControl` in class `de.willuhn.jameica.gui.input.ButtonInput`
See Also:
  - `ButtonInput.getClientControl(org.eclipse.swt.widgets.Composite)`